## sks-ecc 0.92c

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 
 CFLAGS = -DLINUX
-VER=0.92b
+VER=0.92c
 ES=0
 EN=1
-CC=gcc
-#CC=gcc-3.4
+#CC=gcc
+CC=gcc-3.4
 
 # *******************************
 # ***** START build configuration area
@@ -28,11 +28,12 @@
 LTC = ltc
 
 # ******** If you don't have 'zlib' installed
-#GZ = zlib
+GZ = zlib
 
 # specify architecture here
 ARCH=i386
 #ARCH=pentium4
+#ARCH=k8
 CFLAGS += -march=$(ARCH)
 
 # specify language ES, EN or input as command-line option i.e.: 'make SLANG=0'
