## sks-ecc 0.93

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 
 CFLAGS = -DLINUX
-VER=0.92c
+VER=0.93
 ES=0
 EN=1
-#CC=gcc
-CC=gcc-3.4
+CC=gcc
+#CC=gcc-3.4
 
 # *******************************
 # ***** START build configuration area
@@ -22,18 +22,18 @@
 #INST = $(HOME)/bin
 
 # ******* If you don't have 'libtommath' installed
-LTM = ltm
+LTM = tfm
 
 # ******* If you don't have 'libtomcrypt' installed
 LTC = ltc
 
 # ******** If you don't have 'zlib' installed
-GZ = zlib
+#GZ = zlib
 
 # specify architecture here
-ARCH=i386
+#ARCH=i386
 #ARCH=pentium4
-#ARCH=k8
+ARCH=k8
 CFLAGS += -march=$(ARCH)
 
 # specify language ES, EN or input as command-line option i.e.: 'make SLANG=0'
@@ -177,7 +177,7 @@
 	cp -R ./sks/Makefile ./sks-$(VER)/; \
 	cp -R ./sks/Makefile.w32 ./sks-$(VER)/; \
 	cp -R ./sks/*.txt ./sks-$(VER); cp -R ./sks/doc ./sks-$(VER)/;  \
-	rm -f ./sks/ltm/mpi.o; 	cp -R ./sks/ltm ./sks-$(VER)/;  \
+	rm -f ./sks/tfm/mpi.o; 	cp -R ./sks/tfm ./sks-$(VER)/;  \
 	rm -f ./sks/ltc/*.o; 	cp -R ./sks/ltc ./sks-$(VER)/;  \
 	rm -f ./sks/zlib/*.o ./sks/zlib/*.a; cp -R ./sks/zlib ./sks-$(VER)/;  \
 	tar -c -h sks-$(VER)/* | bzip2 -9vvc > $(SNAME).tar.bz2; \
