=== debian/changelog ===
sks-ecc (0.93-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:43:37 +0000

sks-ecc (0.93-6) unstable; urgency=medium

  * QA upload.
  * Use override_dh_auto_install-arch and override_dh_auto_install-indep
    so that the Architecture: all autobuilder does not FTBFS.

 -- Santiago Vila <sanvila@debian.org>  Thu, 03 Sep 2015 02:20:08 +0200

sks-ecc (0.93-5) unstable; urgency=medium

  * QA upload.
  * Switch to dh.
  * Drop debian/patches/03_gcc5.patch. Put -std=gnu89 instead in
    debian/rules with the help of the next patch:
  * Add debian/patches/03_Makefile.patch to allow CFLAGS and LDFLAGS
    to be passed from debian/rules.
  * Add debian/patches/04_do_not_show_the_build_date.patch.
    This should make the build reproducible.
  * Add debian/patches/05_drop_javascript_tracking_code.patch to
    protect the privacy of people reading the documentation.
  * debian/control: Standards-Version: 3.9.6.
  * debian/control: Drop Uploaders field as this package is orphaned.
  * debian/compat: Raise to "9".

 -- Santiago Vila <sanvila@debian.org>  Thu, 03 Sep 2015 01:19:40 +0200

sks-ecc (0.93-4) unstable; urgency=medium

  * QA upload.
  * Fix "ftbfs with GCC-5": add patch from Brett Johnson:
    build with "-std=gnu89".
    (Closes: #778121)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 15:38:08 +0200

sks-ecc (0.93-3) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 19:57:05 +0000

sks-ecc (0.93-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control
    - Fix homepage (closes: #637780)
    - Bump debhelper compatibility level to 8.
    - Set Standards-Version to 3.9.2 (no changes)
    - Add partial support for DEB_BUILD_OPTIONS.
    - Drop quilt build-dep.
  * debian/copyright
    - Bump copyright dates.
    - Add packaging license.

 -- Nacho Barrientos Arias <nacho@debian.org>  Mon, 15 Aug 2011 15:32:20 +0000

sks-ecc (0.93-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + www-browser is now a suggest instead of a recommend.
   + Homepage field added.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sat, 24 Nov 2007 16:34:12 +0100

sks-ecc (0.92c-1) unstable; urgency=low

  * New upstream release.
   + Minor fix for 64-bit architectures.
  * debian/rules
   + Switching to quilt for patch management.
   + Removing useless debhelper calls.
  * debian/control
   + Build-depending on quilt accordingly to debian/rules change.
   + Now building using default GCC version (gcc-3.4 build-dep dropped).
   + Sks-ecc-doc enhances sks-ecc instead of recommend it.
   + Sks-ecc-doc now recommends www-browser virtual package.
   + New maintainer email address.
  * debian/README.Debian
   + Minor changes.
  * debian/patches
   + Reorganized. All changes from orig file are now handled using quilt.

 -- Nacho Barrientos Arias <nacho@debian.org>  Tue, 29 May 2007 19:53:20 +0200

sks-ecc (0.92b-1) unstable; urgency=low

  * Initial release (Closes: #362793) 

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Sun,  7 May 2006 16:15:18 +0200
