=== debian/control ===
Source: sks-ecc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://sks.anarres.tk/

Package: sks-ecc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: sks-ecc-doc
Description: Cryptographic tool based on ECC
 SKS is a public-key, command-line application for encryption/authentication,
 based on Elliptic Curve Cryptography (ECC). His minimalist design points to
 a simple, light, fast, easy-to-use and multiplatform software. All these 
 features are satisfied with this high quality cryptography kit that has 
 the following elements:
 .
  * Public key module: elliptic curve over GF (2^191).
  * Symmetric-key module: AES 192-bits key, with CTR mode.
  * Hash (for signatures, HMAC and passwords): TIGER (192 bits).
  * PRNG module.

Package: sks-ecc-doc
Section: doc
Enhances: sks-ecc
Suggests: www-browser
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for sks-ecc, a cryptographic tool based on ECC
 SKS is a public-key, command-line application for encryption/authentication,
 based on Elliptic Curve Cryptography (ECC). 
 .
 This package provides original README file and the user guide shipped in 
 upstream's tarball (written in Spanish).
