=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=-format

CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall -std=gnu89
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`

%:
	dh $@

override_dh_auto_build:
	$(MAKE) MYCFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	install -m 644 sks.1 debian/sks-ecc/usr/share/man/man1/sks-ecc.1
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sks-ecc

override_dh_auto_install-indep:
